| base-4.1.0.0: Basic libraries | Source code | Contents | Index

Data.String

Portability | portable
Stability | experimental
Maintainer | libraries@haskell.org

Description
Things related to the String type.
Synopsis

class IsString a where

fromString :: String -> a

Documentation

class IsString a where | Source

Class for string-like datastructures; used by the overloaded string extension (-foverloaded-strings in GHC).
Methods

fromString :: String -> a | Source

Instances

IsString ([] Char)

Produced by Haddock version 2.4.2